### Method

# WebKit2WebExtension DOMElement remove_attribute_node

deprecated: 2.22

#### Declaration [src]

    WebKitDOMAttr*
    webkit_dom_element_remove_attribute_node (
      WebKitDOMElement* self,
      WebKitDOMAttr* oldAttr,
      GError** error
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`oldAttr`

  Type: `WebKitDOMAttr`

  A `WebKitDOMAttr`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `WebKitDOMAttr`

A `WebKitDOMAttr`.

The returned data is owned by the instance.